# frozen_string_literal: true

module Ncaa
  class Basketball < Base
    DIVISIONS = %w[d1 d2 d3].freeze
    RANKINGS = D1_RANKINGS + D2_RANKINGS + D3_RANKINGS
    D1_RANKINGS = %w[associated-press ncaa-mens-basketball-net-rankings usa-today-coaches].freeze
    D2_RANKINGS = %w[nabc-coaches regional-ranking d2sida].freeze
    D3_RANKINGS = %w[d3hoopscom regional-rankings-0].freeze

    def metadata
      {
        divisions: DIVISIONS,
        rankings: {
          d1: D1_RANKINGS,
          d2: D2_RANKINGS,
          d3: D3_RANKINGS
        }
      }
    end

    protected

    def sport_uri
      'basketball-men'
    end
  end
end
